library(EBImage)

# --- cd into directory containing images
filename <- list.files()
for(j in 1:80){

	color.image = readImage(filename[j])
	bw.image = channel(color.image,"gray")
	bw.image = resize(bw.image, dim(bw.image)[1]/4)
	rescale.mat = matrix(bw.image, nrow=dim(bw.image)[1], ncol=dim(bw.image)[2])
	png(paste("grey_",filename[j], sep=""), width=4, height=4, units="in", res=100)
	display(bw.image, method="raster")
	dev.off()
	
}

# --- Using rescale.mat as predictors, create array using class codes in .txt file 